#include "state_machine.h"
#include "request_response.h"
#include "app_error.h"

ret_code_t state_machine_goto_state(state_t state)
{
	ret_code_t ret_code;
	message_t request, response;

	request.type = MSG_TYPE_GOTO_STATE;
	request.request.p_payload = (void*)&state;
	request.request.payload_len = 4;

	ret_code = issue_request(&request, &response);
	APP_ERROR_CHECK(response.response.ret_code);
	return ret_code;
}
